Skip to content

Detach a contact from a group conversation

Request

You can remove participants who are contacts from a group conversation, on behalf of an admin.

Removing the last participant

You cannot remove the last remaining contact from a conversation.

Security
bearerAuth
Path
conversation_idstringrequired

The identifier for the conversation as given by Intercom.

Example:123
contact_idstringrequired

The identifier for the contact as given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/json
admin_idstringrequired

The id of the admin who is performing the action.

Example:"5017690"
curl -i -X DELETE \
  https://api.intercom.io/conversations/123/customers/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "admin_id": 991267739
  }'

Responses

Detach a contact from a group conversation

Bodyapplication/json
customersArray of objectsrequired

The conversation participants after the change

Example:
[ { "type": "user", "id": "6762f1a61bb69f9f2193bbd8" } ]
Response
{ "customers": [ {} ] }